#selecteur-complet {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100vw;
  height: 100vh;
}

#selecteur-gauche {
  position: fixed;
  height: 100%;
  left: 0px;
  width: calc(100% - 700px);
}

#web-gl {
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url('../image/image-selecteur.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

#selecteur-droite {
  position: fixed;
  width: 700px;
  top: 0px;
  right: 0px;
  box-shadow: -2px 0 0 0 var(--color-corpo-projet);
  height: 100%;
  overflow-y: scroll;
}

#selecteur-droite::-webkit-scrollbar { display: none !important; }
#selecteur-droite { -ms-overflow-style: none !important; scrollbar-width: none !important; }

#tableau-selecteur {
  position: relative;
  width: 84%;
  margin: 0 auto;
  height: auto;
}

div.batiment {
  display: none;
}

div.batiment.show {
  display: block;
}

/* TABLES LOT */

table.lot {
  position: relative;
  table-layout: fixed;
  width: 100%;
  margin: 10px auto;
  box-shadow: inset 0 0 0 2px var(--color-corpo-projet);
}

table.lot:hover { cursor: default; }
table.lot.hide:hover { cursor: pointer; }

table.lot tr td {
  padding: 6px 10px;
  vertical-align: bottom;
  border: 1px solid var(--color-corpo-projet);
}

table.lot p {
  font-family: 'sansRegular', sans-serif;
  margin: 3px;
  font-size: 16px;
  line-height: 18px;
  letter-spacing: 0px;
}

table.lot p sup { text-transform: uppercase; }

table.lot p i {
  display: block;
  font-size: 60%;
  opacity: 0.7;
  text-transform: uppercase;
  letter-spacing: 1px;
}

table.lot p span {
  display: inline-block;
  font-size: 60%;
  opacity: 0.7;
  text-transform: uppercase;
  letter-spacing: 1px;
}

table.lot tr:nth-child(3) {
  background-color: var(--color-corpo-projet);
  text-align: center;
}

table.lot tr:nth-child(3) p {
  color: white;
  font-size: 90%;
  letter-spacing: 2px;
  padding: 5px 0 0 0;
  text-transform: uppercase;
}

table.lot tr:nth-child(3) p img {
  width: 20px;
  margin: 0 6px 0 0;
}

table.hide tr:nth-child(2), table.hide tr:nth-child(3) { display: none; }

table.lot tr:nth-child(1) td:nth-child(5) p,
table.lot tr:nth-child(2) td:nth-child(5) p { text-transform: uppercase; }
table.lot tr:nth-child(1) td:nth-child(1) p { font-family: 'avecRegular', sans-serif; font-size: 40px; }
table.lot tr:nth-child(1) td:nth-child(1) p span { font-family: 'sansRegular', sans-serif; font-size: 30%; }

table.lot::before {
  content: "";
  display: block;
  position: absolute;
  right: -16px;
  top: 50%;
  width: 20px;
  height: 20px;
  background-color: white;
  box-shadow: inset 0 0 0 2px var(--color-corpo-projet);
  transition-duration: 0.4s;
  transform: translate(100%, -50%) rotate(180deg);
  opacity: 0;
  background-image: url('../svg/pictogramme-fleche-bas-fat.svg');
  background-position: center;
  background-size: 60%;
  background-repeat: no-repeat;
}

table.lot:hover::before {
  right: -28px;
  opacity: 1;
}

table.lot.hide::before {
  transform: translate(100%, -50%) rotate(0deg);
}

table.lot::after {
  content: "";
  display: block;
  position: absolute;
  right: -16px;
  top: 0px;
  width: 8px;
  height: 100%;
  box-shadow: inset 0 0 0 2px var(--color-corpo-projet);
  transition-duration: 0.4s;
} table.lot:hover::after { right: -20px; }

table.lot.disponible::after { background-color: var(--color-selecteur-dispo); }
table.lot.réservé::after { background-color: var(--color-selecteur-reser); }
table.lot.vendu::after { background-color: var(--color-selecteur-vendu); }

table.lot.vendu { opacity: 0.3; }

.hidePieces { display: none !important; }
.hideEtage { display: none !important; }
.hideRangeBudget { display: none !important; }

/* INTERCALAIRES */

.selection-batiment {
  position: relative;
  margin: 10px 0 0 0;
  border-top: 0px solid var(--color-corpo-projet);
  border-bottom: 0px solid var(--color-corpo-projet);
  transition-duration: 0.2s;
  cursor: pointer;
}

.selection-batiment.hide {
  position: relative;
  margin: 10px 0;
  border-top: 2px solid var(--color-corpo-projet);
  border-bottom: 2px solid var(--color-corpo-projet);
}

.selection-batiment p {
  display: block;
  padding: 20px 0;
  color: var(--color-corpo-projet);
  text-align: center;
  font-family: 'sansLight', sans-serif;
  font-size: 0.7vw;
  line-height: 1vw;
  letter-spacing: 3px;
  text-transform: uppercase;
}

.selection-batiment p b {
  font-family: 'sansRegular', sans-serif;
}

.selection-batiment p span {
  display: inline-block;
  width: 20px;
  height: 20px;
  box-shadow: inset 0 0 0 2px var(--color-corpo-projet);
  background-image: url('../svg/pictogramme-fleche-bas-fat.svg');
  background-position: center;
  background-size: 60%;
  background-repeat: no-repeat;
  vertical-align: middle;
  margin: 0 0 0 10px;
  transform: rotate(180deg);
} .selection-batiment.hide p span { transform: rotate(0deg); }

/* FILTRES */

#selecteur-filtres {
  position: relative;
  width: 50%;
  margin: 60px auto 30px auto;
  height: auto;
}

#selecteur-filtres p.spir::before {
  content: "";
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100px;
  height: 200px;
  background-image: url('../svg/deco-spir-10.svg');
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  transform: translate(-120%, 0);
}

#selecteur-filtres p.titre-filtre {
  font-family: 'sansRegular', sans-serif;
  color: var(--color-corpo-projet);
  font-size: 0.6vw;
  line-height: 0.8vw;
  text-transform: uppercase;
  letter-spacing: 3px;
  margin: 30px 0 10px 0 ;
}

#selecteur-filtres ul.filtre {
  position: relative;
  display: table;
  width: 100%;
  table-layout: fixed;
  margin: 5px 0;
}

#selecteur-filtres ul.filtre li {
  display: table-cell;
}

#selecteur-filtres ul.filtre li p {
  font-family: 'sansRegular', sans-serif;
  color: var(--color-corpo-projet);
  font-size: 1vw;
  line-height: 1.2vw;
}


#selecteur-filtres ul.filtre li p span.coche {
  display: inline-block;
  width: 20px;
  height: 20px;
  box-shadow: inset 0 0 0 2px var(--color-corpo-projet), inset 0 0 0 4px white;
  vertical-align: text-bottom;
  margin: 0 0 0 10px;
  background-color: white;
  cursor: pointer;
  transition-duration: 0.2s;
}

#selecteur-filtres ul.filtre li.active p span.coche {
  box-shadow: inset 0 0 0 2px var(--color-corpo-projet), inset 0 0 0 4px white;
  background-color: var(--color-corpo-projet);
}

#selecteur-filtres ul.filtre.filtre-prix li:nth-child(2) p { text-align: right; }

a.validation-filtres {
  position: relative;
  display: block;
  background-color: var(--color-corpo-projet);
  padding: 20px;
  text-align: center;
  color: white;
  font-family: 'sansRegular', sans-serif;
  font-size: 14px;
  line-height: 14px;
  text-transform: uppercase;
  letter-spacing: 6px;
  margin: 10px 0 40px 0;
  transition-duration: 0.4s;
  cursor: pointer;
}

a.validation-filtres::before {
  content: "";
  position: absolute;
  display: block;
  width: 30px;
  height: 30px;
  background-color: var(--color-corpo-projet);
  left: 50%;
  top: 100%;
  transform: translate(-50%, -50%) rotate(45deg);
  transition-duration: 0.4s;
}

a.validation-filtres.hide { display: none; }

a.validation-filtres:hover { background-color: var(--color-selecteur-dispo); }
a.validation-filtres:hover::before { background-color: var(--color-selecteur-dispo); }


a.listedeprix.hide { display: none; }
a.listedeprix {
  position: relative;
  display: block;
  background-color: var(--color-corpo-projet);
  padding: 20px;
  text-align: center;
  color: white;
  font-family: 'sansRegular', sans-serif;
  font-size: 14px;
  line-height: 14px;
  text-transform: uppercase;
  letter-spacing: 6px;
  margin: 5px 0;
  transition-duration: 0.4s;
  cursor: pointer;
} a.listedeprix:hover { background-color: var(--color-selecteur-dispo); }

.ui-widget.ui-widget-content {
  border: 2px solid var(--color-corpo-projet);
  border-radius: 0px;
  box-shadow: inset 0 0 0 2px white;
}

.ui-slider .ui-slider-range {
  background-color: var(--color-corpo-projet);
  box-shadow: inset 0 0 0 2px white;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default, .ui-button, html .ui-button.ui-state-disabled:hover, html .ui-button.ui-state-disabled:active {
  background-color: var(--color-corpo-projet);
}

.ui-corner-all, .ui-corner-bottom, .ui-corner-right, .ui-corner-br {
  border-radius: 0px !important;
}

.ui-slider .ui-slider-handle { border: none !important;}


.filtre-hide.hide { display: none !important; }

/* RESTRICTIONS */

body#selecteur #illustration, body#selecteur .control-video, body#selecteur p.ouverture-menu span.deco, body#selecteur #annonce-mobil {
  display: none;
}

body#selecteur #menu-principal {
  width: calc(95vw - 700px);
  position: fixed;
  margin: 30px 0vw 30px 5vw;
  z-index: 1;
}

body#selecteur #menu-principal ul:nth-child(3) { display: none; }
body#selecteur #menu-principal ul:nth-child(4) { display: none; }

body#selecteur #menu-principal ul:nth-child(2) li p {
  padding: 0 10px;
  font-size: 0.8vw;
  line-height: 0.8vw;
  letter-spacing: 3px;
}

/* BOX-UP */

#box-up {
  display: block;
  position: absolute;
  width: auto;
  height: auto;
  top: 50%;
  left: 30%;
  z-index: 1000;
  background-color: white;
  transform: translate(-50%, -50%);
  border: 2px solid var(--color-corpo-projet);
}

#box-up ul {
  display: table;
}

#box-up ul li {
  display: table-cell;
  padding: 6px 10px;
  vertical-align: bottom;
}

#box-up ul li:nth-child(1) { border-right: 1px solid var(--color-corpo-projet); }

#box-up::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 0px;
  width: 4px;
  height: 100%;
  border: 2px solid var(--color-corpo-projet);
  background-color: var(--color-selecteur-dispo);
  transform: translate(16px, -50%);
}

#box-up.disponible::after { background-color: var(--color-selecteur-dispo); }
#box-up.réservé::after { background-color: var(--color-selecteur-reser); }
#box-up.vendu::after { background-color: var(--color-selecteur-vendu); }

#box-up::before {
  content: "";
  display: block;
  position: absolute;
  bottom: 0px;
  left: 50%;
  width: 18px;
  height: 18px;
  border-right: 2px solid var(--color-corpo-projet);
  border-bottom: 2px solid var(--color-corpo-projet);
  background-color: white;
  transform: rotate(45deg) translate(8px, 8px);
}

#box-up ul li:nth-child(1) p {
  font-family: 'avecRegular', sans-serif;
  font-size: 30px;
}

#box-up ul li:nth-child(1) p span {
  font-family: 'sansRegular', sans-serif;
  font-size: 50%;
  display: inline-block;
  opacity: 0.7;
  text-transform: uppercase;
  letter-spacing: 1px;
  padding: 0 10px 0 0;
}

#box-up ul li:nth-child(2) p {
  font-family: 'sansRegular', sans-serif;
  margin: 3px;
  font-size: 16px;
  line-height: 18px;
  letter-spacing: 0px;
}

#box-up ul li:nth-child(2) p span {
  font-size: 50%;
  display: block;
  opacity: 0.7;
  text-transform: uppercase;
  letter-spacing: 1px;
}

/* BOUTON CONTACT */

a.selecteur-contact {
  position: fixed;
  bottom: 20px;
  left: 20px;
  font-family: 'sansMedium', sans-serif;
  font-size: 0.8vw;
  line-height: 0.8vw;
  text-transform: uppercase;
  letter-spacing: 2px;
  text-align: center;
  padding: 20px 30px;
  box-shadow: inset 0 0 0 2px var(--color-corpo-projet);
  color: var(--color-corpo-projet);
  background-color: white;
  transition-duration: 0.3s;
  cursor: pointer;
  z-index: 100000;
}
